Bug 196940 - open project chooser hangs NetBeans
open project chooser hangs NetBeans
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Directory Chooser
7.0
PC Solaris
: P2 (vote)
: 7.0
Assigned To: Ondrej Vrabec
issues@platform
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 23:11 UTC by Thomas Preisler
Modified: 2011-03-24 16:47 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2011-03-21 23:11:29 UTC
Solaris:

1) Create a file structure similar to this:
/home/thp/xxx/yyy/zzz
and create a link to a file on a non-existing server. Like
# pwd
/home/thp/xxx/yyy
# ln -s /net/danmark.sfbay.sun.com/export/home/thp/xxx
2) Start NetBeans
3) Click Open Project
4) Clear the File Name field
5) Paste /home/thp/xxx/yyy/zzz into the field

IDE is now frozen with this stack trace:

Full thread dump Java HotSpot(TM) Server VM (19.1-b02 mixed mode):

"File Watcher" daemon prio=3 tid=0x0b06a400 nid=0x26 waiting on condition [0x9b13c000]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.masterfs.watcher.FAMNotifier.nextEvent(FAMNotifier.java:92)
	at org.netbeans.modules.masterfs.watcher.Watcher$Ext.run(Watcher.java:176)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=3 tid=0x0b06c400 nid=0x24 in Object.wait() [0xa0fdc000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbc2e7758> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xbc2e7758> (a java.lang.Object)

"DestroyJavaVM" prio=3 tid=0x08072400 nid=0x2 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=3 tid=0x0a978000 nid=0x1e runnable [0x9bc9a000]
   java.lang.Thread.State: RUNNABLE
	at java.io.UnixFileSystem.getBooleanAttributes0(Native Method)
	at java.io.UnixFileSystem.getBooleanAttributes(UnixFileSystem.java:228)
	at java.io.File.isDirectory(File.java:754)
	at org.netbeans.modules.project.ui.ProjectChooserAccessory$ProjectDirFilter.accept(ProjectChooserAccessory.java:548)
	at javax.swing.JFileChooser.accept(JFileChooser.java:1576)
	at org.netbeans.swing.dirchooser.DirectoryChooserUI.buildList(DirectoryChooserUI.java:1089)
	at org.netbeans.swing.dirchooser.DirectoryChooserUI.updateCompletions(DirectoryChooserUI.java:1043)
	at org.netbeans.swing.dirchooser.DirectoryChooserUI.access$500(DirectoryChooserUI.java:111)
	at org.netbeans.swing.dirchooser.DirectoryChooserUI$ListFilesWorker$1.run(DirectoryChooserUI.java:1077)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:642)
	at java.awt.EventQueue.access$000(EventQueue.java:85)
	at java.awt.EventQueue$1.run(EventQueue.java:603)
	at java.awt.EventQueue$1.run(EventQueue.java:601)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:612)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at javax.swing.JFileChooser.showDialog(JFileChooser.java:723)
	at javax.swing.JFileChooser.showOpenDialog(JFileChooser.java:626)
	at org.netbeans.modules.project.ui.actions.OpenProject.actionPerformed(OpenProject.java:102)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
	at java.awt.Component.processMouseEvent(Component.java:6289)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6054)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4652)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
	at java.awt.EventQueue.access$000(EventQueue.java:85)
	at java.awt.EventQueue$1.run(EventQueue.java:603)
	at java.awt.EventQueue$1.run(EventQueue.java:601)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:617)
	at java.awt.EventQueue$2.run(EventQueue.java:615)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

"TimerQueue" daemon prio=3 tid=0x09acec00 nid=0x1d in Object.wait() [0xa076c000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbc197600> (a javax.swing.TimerQueue)
	at javax.swing.TimerQueue.run(TimerQueue.java:232)
	- locked <0xbc197600> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:662)

"Glue Notifier" daemon prio=3 tid=0x0a97d000 nid=0x1c in Object.wait() [0x9bced000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbc280190> (a com.sun.tools.swdev.glue.EventQueue)
	at java.lang.Object.wait(Object.java:485)
	at com.sun.tools.swdev.glue.EventQueue.iget(EventQueue.java:22)
	- locked <0xbc280190> (a com.sun.tools.swdev.glue.EventQueue)
	at com.sun.tools.swdev.glue.NotifierPoll.dispatch(NotifierPoll.java:145)
	at com.sun.tools.swdev.glue.NotifierPoll.loop(NotifierPoll.java:200)
	at com.sun.tools.swdev.glue.NotifierThread.run(NotifierThread.java:89)

"Waiter number 1" prio=3 tid=0x0b08a800 nid=0x1b runnable [0x9bd3e000]
   java.lang.Thread.State: RUNNABLE
	at java.io.FileInputStream.readBytes(Native Method)
	at java.io.FileInputStream.read(FileInputStream.java:199)
	at com.sun.tools.swdev.glue.WaitableInputStream.waitForInput(WaitableInputStream.java:71)
	- locked <0xbc280220> (a com.sun.tools.swdev.glue.WaitableInputStream)
	at com.sun.tools.swdev.glue.GlueSocket.waitForInput(GlueSocket.java:95)
	at com.sun.tools.swdev.glue.CBInfo$Waiter.run(CBInfo.java:76)
	- locked <0xbc280208> (a com.sun.tools.swdev.glue.GlueSocket)

"Waiter number 0" prio=3 tid=0x0b089000 nid=0x19 runnable [0x9bdae000]
   java.lang.Thread.State: RUNNABLE
	at com.sun.tools.swdev.toolscommon.base.UnixSocket.native_accept(Native Method)
	at com.sun.tools.swdev.toolscommon.base.UnixSocket.accept(UnixSocket.java:49)
	at com.sun.tools.swdev.toolscommon.base.UnixServerSocket.accept(UnixServerSocket.java:38)
	at com.sun.tools.swdev.glue.UnixServerSocketTramp.accept(UnixServerSocketTramp.java:23)
	at com.sun.tools.swdev.glue.GlueServerSocket.accept(GlueServerSocket.java:36)
	at com.sun.tools.swdev.glue.WaitableServerSocket.waitForInput(WaitableServerSocket.java:24)
	- locked <0xbc281cd0> (a com.sun.tools.swdev.glue.WaitableServerSocket)
	at com.sun.tools.swdev.glue.CBInfo$Waiter.run(CBInfo.java:76)
	- locked <0xbc281cd0> (a com.sun.tools.swdev.glue.WaitableServerSocket)

"Thread-2" daemon prio=3 tid=0x0ad01400 nid=0x17 in Object.wait() [0xa067e000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbb37cdc8> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0xbb37cdc8> (a java.util.LinkedList)

"AWT-Shutdown" prio=3 tid=0x09ac1800 nid=0x15 in Object.wait() [0xa07bd000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbb43be70> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	- locked <0xbb43be70> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:662)

"AWT-XAWT" daemon prio=3 tid=0x09a9f000 nid=0x14 runnable [0xa080e000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:579)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:662)

"Java2D Disposer" daemon prio=3 tid=0x098ff800 nid=0x12 in Object.wait() [0xa09ce000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbb402640> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xbb402640> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:127)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=3 tid=0x09929000 nid=0x10 in Object.wait() [0xa102d000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbac120d0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xbac120d0> (a java.lang.Object)

"CLI Requests Server" daemon prio=3 tid=0x09928000 nid=0xf runnable [0xa107e000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
	- locked <0xbac27590> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:462)
	at java.net.ServerSocket.accept(ServerSocket.java:430)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1081)

"Active Reference Queue Daemon" daemon prio=3 tid=0x08266400 nid=0xe in Object.wait() [0xa11d5000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbb3e17e0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xbb3e17e0> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.lookup.implspi.ActiveQueue$Impl.run(ActiveQueue.java:101)
	at java.lang.Thread.run(Thread.java:662)

"Timer-0" daemon prio=3 tid=0x08271c00 nid=0xd in Object.wait() [0xa1226000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbafd7140> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0xbafd7140> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Low Memory Detector" daemon prio=3 tid=0x0813f800 nid=0xb runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread1" daemon prio=3 tid=0x0813d800 nid=0xa waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=3 tid=0x0813b400 nid=0x9 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=3 tid=0x08139800 nid=0x8 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=3 tid=0x08126000 nid=0x7 in Object.wait() [0xfad3d000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbadc33b8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xbadc33b8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=3 tid=0x08124800 nid=0x6 in Object.wait() [0xfde9e000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xbae75b40> (a java.lang.ref.Reference$Lock)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0xbae75b40> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=3 tid=0x08121000 nid=0x5 runnable 

"GC task thread#0 (ParallelGC)" prio=3 tid=0x08079000 nid=0x3 runnable 

"GC task thread#1 (ParallelGC)" prio=3 tid=0x0807a400 nid=0x4 runnable 

"VM Periodic Task Thread" prio=3 tid=0x08149c00 nid=0xc waiting on condition 

JNI global references: 2725

Heap
 PSYoungGen      total 225920K, used 47789K [0xe56b0000, 0xf44a0000, 0xfac00000)
  eden space 209344K, 22% used [0xe56b0000,0xe855b4a0,0xf2320000)
  from space 16576K, 0% used [0xf3470000,0xf3470000,0xf44a0000)
  to   space 17152K, 0% used [0xf2320000,0xf2320000,0xf33e0000)
 PSOldGen        total 65664K, used 37364K [0xbac00000, 0xbec20000, 0xe56b0000)
  object space 65664K, 56% used [0xbac00000,0xbd07d350,0xbec20000)
 PSPermGen       total 79616K, used 42426K [0xa1c00000, 0xa69c0000, 0xbac00000)
  object space 79616K, 53% used [0xa1c00000,0xa456ea88,0xa69c0000)


It is not really hanging but waiting to time out. It maytake 5-10 minutes to timeout.
Comment 1 Nikolay Molchanov 2011-03-22 00:04:13 UTC
In my case the IDE freezes itself and Gnome as well, so I have to login from 
another system to kill the IDE. It is really annoying that the IDE still uses
AWT thread to perform I/O operations.
Comment 2 Nikolay Molchanov 2011-03-22 00:06:18 UTC
Note: to reproduce the problem you have to create a symbolic link to a real
file server, which is currently down, so the operation (stat) will hang.
Comment 3 Alexander Simon 2011-03-22 03:59:27 UTC
It seems bug is duplicated bug #192271.
Fix for bug #192271 partly resolved problem.
Problem in DirectoryChooserUI.ListFilesWorker that call updateCompletions() in EDT.
Method updateCompletions() should be divided on 2 part:
- access to file system (cannot be called in EDT)
- update UI.
Comment 4 Alexander Simon 2011-03-22 04:01:44 UTC
Priority is a same as bug #192271
Comment 5 Vladimir Voskresensky 2011-03-22 08:50:12 UTC
this looks like part (1) of comment :
http://netbeans.org/bugzilla/show_bug.cgi?id=192271#c2
Comment 6 Ondrej Vrabec 2011-03-22 09:39:44 UTC
fix: http://hg.netbeans.org/core-main/rev/65b15c2782c0
Comment 7 Ondrej Vrabec 2011-03-22 09:40:53 UTC
fixed, please verify
Comment 8 Thomas Preisler 2011-03-22 23:04:48 UTC
Verified bug is fixed.
Comment 9 Thomas Preisler 2011-03-23 00:02:18 UTC
I take it back, it doesn't seem to be fixed. The scenario I described doesn't freeze the IDE but here is one that does:

1) Open Open Project dialog
2) Double click xxx (in my example) and now it is frozen.

Plus there seem to be a serious regression in that the chooser is not updated after you type in a path and hit return. The contents of the new folder is not displayed.
Comment 10 Thomas Preisler 2011-03-23 00:09:44 UTC
I should be more specific:

1) Open IDE
2) Open Open project dialog
3) Navigate one directory up so now in home directory
4) double-click xxx
5) double-click yyy

now it is hung:

Full thread dump Java HotSpot(TM) Client VM (19.1-b02 mixed mode, sharing):

"pool-4-thread-1" prio=3 tid=0x08e33400 nid=0x37 runnable [0xeefff000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:351)
	- locked <0x914e3d08> (a java.net.SocksSocketImpl)
	at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:213)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:200)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:366)
	at java.net.Socket.connect(Socket.java:529)
	at sun.net.NetworkClient.doConnect(NetworkClient.java:158)
	at sun.net.www.http.HttpClient.openServer(HttpClient.java:394)
	at sun.net.www.http.HttpClient.openServer(HttpClient.java:529)
	- locked <0x914e3c88> (a sun.net.www.http.HttpClient)
	at sun.net.www.http.HttpClient.<init>(HttpClient.java:233)
	at sun.net.www.http.HttpClient.New(HttpClient.java:306)
	at sun.net.www.http.HttpClient.New(HttpClient.java:323)
	at sun.net.www.protocol.http.HttpURLConnection.getNewHttpClient(HttpURLConnection.java:970)
	at sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:911)
	at sun.net.www.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:836)
	at sun.net.www.protocol.http.HttpURLConnection.followRedirect(HttpURLConnection.java:2120)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1367)
	- locked <0x91476d08> (a sun.net.www.protocol.http.HttpURLConnection)
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$2.call(NetworkAccess.java:146)
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$2.call(NetworkAccess.java:136)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)

"Basic L&F File Loading Thread" prio=3 tid=0x085d8000 nid=0x36 runnable [0xef3ff000]
   java.lang.Thread.State: RUNNABLE
	at java.io.UnixFileSystem.getBooleanAttributes0(Native Method)
	at java.io.UnixFileSystem.getBooleanAttributes(UnixFileSystem.java:228)
	at java.io.File.isHidden(File.java:804)
	at sun.awt.shell.ShellFolder.listFiles(ShellFolder.java:108)
	at javax.swing.filechooser.FileSystemView.getFiles(FileSystemView.java:449)
	at javax.swing.plaf.basic.BasicDirectoryModel$LoadFilesThread.run0(BasicDirectoryModel.java:218)
	at javax.swing.plaf.basic.BasicDirectoryModel$LoadFilesThread.run(BasicDirectoryModel.java:211)

"DirChooser Update Worker" daemon prio=3 tid=0x08286000 nid=0x32 runnable [0xeffff000]
   java.lang.Thread.State: RUNNABLE
	at java.io.UnixFileSystem.getBooleanAttributes0(Native Method)
	at java.io.UnixFileSystem.getBooleanAttributes(UnixFileSystem.java:228)
	at java.io.File.isHidden(File.java:804)
	at sun.awt.shell.ShellFolder.listFiles(ShellFolder.java:108)
	at javax.swing.filechooser.FileSystemView.getFiles(FileSystemView.java:449)
	at org.netbeans.swing.dirchooser.DirectoryNode.getFiles(DirectoryNode.java:173)
	at org.netbeans.swing.dirchooser.DirectoryNode.loadChildren(DirectoryNode.java:134)
	at org.netbeans.swing.dirchooser.DirectoryChooserUI$UpdateWorker.run(DirectoryChooserUI.java:2658)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"autoupdate-network-access" daemon prio=3 tid=0x08255800 nid=0x27 waiting on condition [0xf79ff000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x9143f2b8> (a java.util.concurrent.FutureTask$Sync)
	at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:198)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.doAcquireSharedNanos(AbstractQueuedSynchronizer.java:1011)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.tryAcquireSharedNanos(AbstractQueuedSynchronizer.java:1303)
	at java.util.concurrent.FutureTask$Sync.innerGet(FutureTask.java:227)
	at java.util.concurrent.FutureTask.get(FutureTask.java:91)
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$1.run(NetworkAccess.java:97)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"pool-3-thread-1" prio=3 tid=0x08fb7400 nid=0x26 waiting on condition [0xf07ff000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0xa384fff0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:947)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:autoupdate-network-access/org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$1]" daemon prio=3 tid=0x08fb3800 nid=0x25 in Object.wait() [0xf0bff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa3829bc8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa3829bc8> (a java.lang.Object)

"pool-2-thread-1" prio=3 tid=0x08fb2c00 nid=0x24 waiting on condition [0xf0fff000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0xa3850208> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:947)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:662)

"pool-1-thread-1" prio=3 tid=0x08fb2800 nid=0x23 waiting on condition [0xf13ff000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0xa384ccb8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:947)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:662)

"File Watcher" daemon prio=3 tid=0x08f79c00 nid=0x21 waiting on condition [0xf17ff000]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.masterfs.watcher.FAMNotifier.nextEvent(FAMNotifier.java:92)
	at org.netbeans.modules.masterfs.watcher.Watcher$Ext.run(Watcher.java:176)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:Logging Flush/org.netbeans.core.startup.TopLogging$NonClose]" daemon prio=3 tid=0x08f7e000 nid=0x20 in Object.wait() [0xf1bff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa34215e8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa34215e8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Logging Flush/org.netbeans.core.startup.TopLogging$NonClose]" daemon prio=3 tid=0x08f7dc00 nid=0x1f in Object.wait() [0xf95ff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa3421670> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa3421670> (a java.lang.Object)

"DestroyJavaVM" prio=3 tid=0x08071000 nid=0x2 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Inactive RequestProcessor thread [Was:autoupdate-refresh-providers/org.netbeans.modules.autoupdate.ui.actions.AutoupdateCheckScheduler$4]" daemon prio=3 tid=0x08e23000 nid=0x19 in Object.wait() [0xf2fff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1f6bbe8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa1f6bbe8> (a java.lang.Object)

"Default RequestProcessor" daemon prio=3 tid=0x08e26800 nid=0x18 in Object.wait() [0xf33ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x91472fa8> (a org.openide.util.RequestProcessor$Task)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.util.Task.waitFinished(Task.java:133)
	- locked <0x91472fa8> (a org.openide.util.RequestProcessor$Task)
	at org.openide.util.RequestProcessor$Task.waitFinished(RequestProcessor.java:1681)
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task.waitFinished(NetworkAccess.java:127)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.copy(AutoupdateCatalogCache.java:262)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.writeCatalogToCache(AutoupdateCatalogCache.java:108)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogProvider.refresh(AutoupdateCatalogProvider.java:137)
	at org.netbeans.modules.autoupdate.services.UpdateUnitProviderImpl.refresh(UpdateUnitProviderImpl.java:174)
	at org.netbeans.api.autoupdate.UpdateUnitProvider.refresh(UpdateUnitProvider.java:186)
	at org.netbeans.modules.autoupdate.pluginimporter.libinstaller.JUnitLibraryInstaller.install(JUnitLibraryInstaller.java:96)
	at org.netbeans.modules.autoupdate.pluginimporter.libinstaller.InstallLibraryTask.run(InstallLibraryTask.java:93)
	at org.netbeans.core.WarmUpSupport.run(WarmUpSupport.java:90)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"AWT-EventQueue-1" prio=3 tid=0x08e84c00 nid=0x17 in Object.wait() [0xf81fe000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1e86e50> (a org.netbeans.core.TimableEventQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:485)
	- locked <0xa1e86e50> (a org.netbeans.core.TimableEventQueue)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:236)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at javax.swing.JFileChooser.showDialog(JFileChooser.java:723)
	at javax.swing.JFileChooser.showOpenDialog(JFileChooser.java:626)
	at org.netbeans.modules.project.ui.actions.OpenProject.actionPerformed(OpenProject.java:102)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
	at java.awt.Component.processMouseEvent(Component.java:6289)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6054)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4652)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4482)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
	at java.awt.EventQueue.access$000(EventQueue.java:85)
	at java.awt.EventQueue$1.run(EventQueue.java:603)
	at java.awt.EventQueue$1.run(EventQueue.java:601)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:617)
	at java.awt.EventQueue$2.run(EventQueue.java:615)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

"Thread-2" daemon prio=3 tid=0x08e6ec00 nid=0x16 in Object.wait() [0xf37ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1d17298> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0xa1d17298> (a java.util.LinkedList)

"TimerQueue" daemon prio=3 tid=0x08214400 nid=0x14 in Object.wait() [0xf7dff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200418> (a javax.swing.TimerQueue)
	at javax.swing.TimerQueue.run(TimerQueue.java:232)
	- locked <0xa1200418> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:662)

"AWT-Shutdown" prio=3 tid=0x081fa400 nid=0x12 in Object.wait() [0xf85ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200680> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	- locked <0xa1200680> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:662)

"AWT-XAWT" daemon prio=3 tid=0x081f8c00 nid=0x11 runnable [0xf89ff000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:579)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:autoupdate-refresh-providers/org.netbeans.modules.autoupdate.ui.actions.AutoupdateCheckScheduler$4]" daemon prio=3 tid=0x081e2800 nid=0x10 in Object.wait() [0xf8dff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa12007d0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa12007d0> (a java.lang.Object)

"Java2D Disposer" daemon prio=3 tid=0x081d8800 nid=0xf in Object.wait() [0xf91ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200848> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xa1200848> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:127)
	at java.lang.Thread.run(Thread.java:662)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=3 tid=0x081a7000 nid=0xd in Object.wait() [0xf99ff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200b20> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0xa1200b20> (a java.lang.Object)

"CLI Requests Server" daemon prio=3 tid=0x081a1400 nid=0xc runnable [0xf9dff000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
	- locked <0xa1200bc0> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:462)
	at java.net.ServerSocket.accept(ServerSocket.java:430)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1081)

"Active Reference Queue Daemon" daemon prio=3 tid=0x0813a000 nid=0xb in Object.wait() [0xfa1ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200d50> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xa1200d50> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.lookup.implspi.ActiveQueue$Impl.run(ActiveQueue.java:101)
	at java.lang.Thread.run(Thread.java:662)

"Timer-0" daemon prio=3 tid=0x08132000 nid=0xa in Object.wait() [0xfa5ff000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200df0> (a java.util.TaskQueue)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0xa1200df0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Low Memory Detector" daemon prio=3 tid=0x080e1400 nid=0x8 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=3 tid=0x080de400 nid=0x7 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=3 tid=0x080dcc00 nid=0x6 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=3 tid=0x080d3400 nid=0x5 in Object.wait() [0xfb1ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa1200ff0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0xa1200ff0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=3 tid=0x080d2000 nid=0x4 in Object.wait() [0xfb5ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0xa12004a8> (a java.lang.ref.Reference$Lock)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0xa12004a8> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=3 tid=0x08094400 nid=0x3 runnable 

"VM Periodic Task Thread" prio=3 tid=0x080e4400 nid=0x9 waiting on condition 

JNI global references: 1954

Heap
 def new generation   total 23552K, used 10793K [0x91200000, 0x92b80000, 0xa1200000)
  eden space 20992K,  42% used [0x91200000, 0x91ac1938, 0x92680000)
  from space 2560K,  71% used [0x92900000, 0x92ac8cf0, 0x92b80000)
  to   space 2560K,   0% used [0x92680000, 0x92680000, 0x92900000)
 tenured generation   total 52168K, used 42358K [0xa1200000, 0xa44f2000, 0xc1200000)
   the space 52168K,  81% used [0xa1200000, 0xa3b5dad8, 0xa3b5dc00, 0xa44f2000)
 compacting perm gen  total 32768K, used 22187K [0xc1200000, 0xc3200000, 0xd9200000)
   the space 32768K,  67% used [0xc1200000, 0xc27aac60, 0xc27aae00, 0xc3200000)
    ro space 10240K,  66% used [0xd9200000, 0xd989c2d8, 0xd989c400, 0xd9c00000)
    rw space 12288K,  62% used [0xd9c00000, 0xda374758, 0xda374800, 0xda800000)

INFO [org.netbeans.modules.autoupdate.updateprovider.DownloadListener]: Reading URL http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8 failed (java.io.IOException: Timeout while opening connection to http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8)
INFO [org.netbeans.modules.autoupdate.pluginimporter.libinstaller.JUnitLibraryInstaller]: While refreshing org.netbeans.api.autoupdate.UpdateUnitProvider@e58730[Additional Development Plugins[dev-update-provider] to http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8] thrown java.io.IOException: Timeout while opening connection to http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8
java.util.concurrent.TimeoutException
	at java.util.concurrent.FutureTask$Sync.innerGet(FutureTask.java:228)
	at java.util.concurrent.FutureTask.get(FutureTask.java:91)
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$1.run(NetworkAccess.java:97)
Caused: java.io.IOException: Timeout while opening connection to http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8
	at org.netbeans.modules.autoupdate.updateprovider.NetworkAccess$Task$1.run(NetworkAccess.java:117)
Caused: java.io.IOException: Timeout while opening connection to http://updates.netbeans.org/netbeans/updates/dev/uc/final/main/catalog.xml.gz?unique=04eb613c6-c8dc-4063-aa12-3d51ba25f48e_8cfa72ec-ac51-47d8-9210-e34c6e43dbd8
	at org.netbeans.modules.autoupdate.updateprovider.DownloadListener.notifyException(DownloadListener.java:103)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.copy(AutoupdateCatalogCache.java:263)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.writeCatalogToCache(AutoupdateCatalogCache.java:108)
	at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogProvider.refresh(AutoupdateCatalogProvider.java:137)
	at org.netbeans.modules.autoupdate.services.UpdateUnitProviderImpl.refresh(UpdateUnitProviderImpl.java:174)
	at org.netbeans.api.autoupdate.UpdateUnitProvider.refresh(UpdateUnitProvider.java:186)
[catch] at org.netbeans.modules.autoupdate.pluginimporter.libinstaller.JUnitLibraryInstaller.install(JUnitLibraryInstaller.java:96)
	at org.netbeans.modules.autoupdate.pluginimporter.libinstaller.InstallLibraryTask.run(InstallLibraryTask.java:93)
	at org.netbeans.core.WarmUpSupport.run(WarmUpSupport.java:90)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 11 Ondrej Vrabec 2011-03-23 08:01:59 UTC
> Plus there seem to be a serious regression in that the chooser is not updated after you type in a path and hit return. The contents of the new folder is not displayed.
Are you sure? This works for me.
Comment 12 Ondrej Vrabec 2011-03-23 08:12:07 UTC
> I should be more specific:
> 1) Open IDE
> 2) Open Open project dialog
> 3) Navigate one directory up so now in home directory
> 4) double-click xxx
> 5) double-click yyy
> now it is hung:
AWT doesn't seem to be hung, it awaits next event, so you should be able to cancel the dialog, right? Looking at the thread dump it looks like loading files for a current folder (however in a background thread) waits on your broken symlink somewhere inside JDK. I'll take a lok at the sources but i don't think there's much i can do. BTW, what happens when you open File>Open file dialog and navigate into the same folder? That one is a normal JFileChooser so wonder if it is more clever that our DirChooser,
Comment 13 Quality Engineering 2011-03-23 10:00:15 UTC
Integrated into 'main-golden', will be available in build *201103230400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/65b15c2782c0
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #196940 - open project chooser hangs NetBeans
Comment 14 Thomas Preisler 2011-03-23 21:27:20 UTC
It does hang the IDE if you follow this scenario:
> 1) Open IDE
> 2) Open Open project dialog
> 3) Navigate one directory up so now in home directory
> 4) double-click xxx
> 5) double-click yyy
> now it is hung:

and there are other scenarios where AWT is not blocked but something else is hanging and preventing the GUI to be updated, so no matter what path you type, it doesn't change the tree in the panel. Alexander S. looked at the code again and don't see an easy solution to this. The fix is probably inside JDK. I will close as fixed (original scenario is fixed) and please proceed with pushing the fix into release70.
Comment 15 Marian Mirilovic 2011-03-24 08:42:55 UTC
(In reply to comment #14)
> and don't see an easy solution to this. The fix is probably inside JDK. I will
> close as fixed (original scenario is fixed) and please proceed with pushing the
> fix into release70.

... agreed, Ondra please do it today by 8 pm CET. Thanks in advance.
Comment 16 Jiri Rechtacek 2011-03-24 09:23:25 UTC
Reviewed, the patch makes sense to fixing this problem.
Comment 17 Jaromir Uhrik 2011-03-24 14:24:34 UTC
I agree with integration in 7.0 since all seems to be working properly in build:
Product Version: NetBeans IDE Dev (Build 201103110400)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Linux version 2.6.35-22-generic running on i386; UTF-8; en_US (nb)
Comment 18 Ondrej Vrabec 2011-03-24 16:47:21 UTC
fixed in 7.0: http://hg.netbeans.org/releases/rev/9de2645551ad


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo